org.jbpm.workflow.instance

## Interface NodeInstanceContainer

- All Superinterfaces:
    org.kie.api.runtime.process.NodeInstanceContainer

      public interface NodeInstanceContainer
      extends org.kie.api.runtime.process.NodeInstanceContainer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNodeInstance(NodeInstance nodeInstance)`
    `int` | `getCurrentLevel()`
    `NodeInstance` | `getFirstNodeInstance(long nodeId)`
    `int` | `getLevelForNode(String uniqueID)`
    `org.kie.api.definition.process.NodeContainer` | `getNodeContainer()`
    `NodeInstance` | `getNodeInstance(long nodeInstanceId, boolean recursive)`
    `NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node)`
    `Collection<NodeInstance>` | `getNodeInstances(boolean recursive)`
    `int` | `getState()`
    `void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
    `void` | `removeNodeInstance(NodeInstance nodeInstance)`
    `void` | `setCurrentLevel(int level)`
    `void` | `setState(int state)`

    - ### Methods inherited from interface org.kie.api.runtime.process.NodeInstanceContainer

      `getNodeInstance, getNodeInstances`

- - ### Method Detail

    - #### getNodeInstances

          Collection<NodeInstance> getNodeInstances(boolean recursive)

    - #### getFirstNodeInstance

          NodeInstance getFirstNodeInstance(long nodeId)

    - #### getNodeInstance

          NodeInstance getNodeInstance(org.kie.api.definition.process.Node node)

    - #### addNodeInstance

          void addNodeInstance(NodeInstance nodeInstance)

    - #### removeNodeInstance

          void removeNodeInstance(NodeInstance nodeInstance)

    - #### getNodeContainer

          org.kie.api.definition.process.NodeContainer getNodeContainer()

    - #### nodeInstanceCompleted

          void nodeInstanceCompleted(NodeInstance nodeInstance,
                                     String outType)

    - #### getState

          int getState()

    - #### setState

          void setState(int state)

    - #### getLevelForNode

          int getLevelForNode(String uniqueID)

    - #### setCurrentLevel

          void setCurrentLevel(int level)

    - #### getCurrentLevel

          int getCurrentLevel()

    - #### getNodeInstance

          NodeInstance getNodeInstance(long nodeInstanceId,
                                       boolean recursive)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.